### invalid_service_owner

Exception thrown when trying to add a service object to an `execution_context` where the service has a different owner.

    class invalid_service_owner :
      public std::logic_error

##### Member Functions

Name | Description
--- | ---
invalid_service_owner [constructor] |

##### Requirements

Header: `asio/execution_context.hpp`

Convenience header: `asio/execution.hpp`